"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addMessage = void 0;
var utils_1 = require("../utils");
exports.addMessage = {
    exists: function () {
        return utils_1.color.error("\n    It seems like you already have this feature.\n        ");
    },
    invalidFeatureName: function (featureName) {
        var highlightedFeatureName = utils_1.color.inverse(" ".concat(featureName, " "));
        return utils_1.color.error("\n  Invalid feature name\n  Unfortunately, monoreact doesn't provide ".concat(highlightedFeatureName, " feature\n        "));
    },
    adding: function (featureName) { return "Adding ".concat(utils_1.color.info(featureName), " feature..."); },
    successful: function (featureName) { return "Added ".concat(utils_1.color.success(featureName), " feature template"); },
    failed: function (featureName) { return "Failed to add ".concat(utils_1.color.error(featureName), " feature template"); }
};
