"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.executionBins = void 0;
var build_bin_1 = require("./build.bin");
var lint_bin_1 = require("./lint.bin");
var watch_bin_1 = require("./watch.bin");
var test_bin_1 = require("./test.bin");
var install_bin_1 = require("./install.bin");
var executionBins = function (prog) {
    (0, build_bin_1.buildBinCommand)(prog);
    (0, lint_bin_1.lintBinCommand)(prog);
    (0, watch_bin_1.watchBinCommand)(prog);
    (0, test_bin_1.testBinCommand)(prog);
    (0, install_bin_1.installBinCommand)(prog);
};
exports.executionBins = executionBins;
