"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.workspacesBins = void 0;
var workspaces_build_bin_1 = require("./workspaces-build.bin");
var workspaces_test_bin_1 = require("./workspaces-test.bin");
var workspaces_lint_bin_1 = require("./workspaces-lint.bin");
var workspaces_watch_bin_1 = require("./workspaces-watch.bin");
var workspacesBins = function (prog) {
    (0, workspaces_build_bin_1.workspacesBuildBinCommand)(prog);
    (0, workspaces_lint_bin_1.workspacesLintBinCommand)(prog);
    (0, workspaces_watch_bin_1.workspacesWatchBinCommand)(prog);
    (0, workspaces_test_bin_1.workspacesTestBinCommand)(prog);
};
exports.workspacesBins = workspacesBins;
